<?php
include('../_cfg/config.php');
include('php_gene1.php');
foreach($_POST as $campo => $valor){${$campo}=$valor;} 

if($puni1>0){$dcto1=0;}
if($puni2>0){$dcto2=0;}
if($puni3>0){$dcto3=0;}
if($puni4>0){$dcto4=0;}
if($puni5>0){$dcto5=0;}

// $updt_sql='update '.$tabla.'0 set ';
// $updt_sql.=' '.$tabla.'_puni1="'.$puni1.'"';
// $updt_sql.=' where '.$tabla.'_codigo="'.$codigo.'" ';
// $updt_res=msql_query($updt_sql,$link_vcrx);



  $sql_stru='describe '.$tabla.'0';
  $res_stru=msql_query($sql_stru,$link_vcrx);
                                  
  $sql_updt='';
  $sql_updt.='update '.$tabla.'0 set ';
                                  
  while($aso_stru=@msql_fetch_assoc($res_stru))
  { 
//     $xvalor=${$aso_stru['Field']};
    $xvalor=${substr($aso_stru['Field'],5)};
//     $xtype.=$aso_stru['Type'];
    if($xvalor!='' and $aso_stru['Field']!=$tabla.'_codigo' and $aso_stru['Field']!=$tabla.'_idate')
    {$sql_updt.=$aso_stru['Field'].'="'.$xvalor.'", ';}
  }
  $sql_updt.=$tabla.'_idate='.$tabla.'_idate ';
  $sql_updt.='where '.$tabla.'_codigo="'.$codigo.'"';
  // cambiar true=1 false=0
  $res_updt=msql_query($sql_updt,$link_vcrx);

// if(msql_query($updt_sql,$link_vcrx))
if(msql_error($link_vcrx)=='')
{echo 'OK '.date("H:i:s");}
else
{echo '* ERROR *';}



if($tabla=='item')
{
  $sql_updt ='update item0 set ';
  if($pvp1>0){$sql_updt.='item_puni=0, ';}
  if($pvp1>0){$sql_updt.='item_puni1=0, ';}
  if($pvp2>0){$sql_updt.='item_puni2=0, ';}
  if($pvp3>0){$sql_updt.='item_puni3=0, ';}
  if($pvp4>0){$sql_updt.='item_puni4=0, ';}
  if($pvp5>0){$sql_updt.='item_puni5=0, ';}
//   if($puni1>0){$sql_updt.='item_puni=0, ';}
  if($puni1>0){$sql_updt.='item_pvp1=0, ';}
  if($puni2>0){$sql_updt.='item_pvp2=0, ';}
  if($puni3>0){$sql_updt.='item_pvp3=0, ';}
  if($puni4>0){$sql_updt.='item_pvp4=0, ';}
  if($puni5>0){$sql_updt.='item_pvp5=0, ';}
  $sql_updt.='item_status=item_status ';
  $sql_updt.=' where item_codigo ="'.$codigo.'" ';
  $res_updt=msql_query($sql_updt,$link_vcrx);
//   echo '<br>***'.$sql_updt;
//   echo '<br>***'.msql_error($link_vcrx);
}


if($tabla=='item'){regula_punimdlo($codigo);}
if($tabla=='item'){regula_pvp($codigo);}

//echo $sql_updt.msql_error($link_vcrx);
?>